Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226226 - Merge Review: pam_passwdqc
Summary: Merge Review: pam_passwdqc
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:19 UTC by Nobody's working on this, feel free to take it
Modified: 2010-09-06 08:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-06 08:17:47 UTC
panemade: fedora-review+


Attachments (Terms of Use)
pam_passwdqc-spec-cleanup.patch (deleted)
2010-07-24 13:42 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 20:19:58 UTC
Fedora Merge Review: pam_passwdqc

http://cvs.fedora.redhat.com/viewcvs/devel/pam_passwdqc/
Initial Owner: nalin@redhat.com

Comment 1 Parag AN(पराग) 2010-07-24 13:40:15 UTC
1) rpmlint reported
pam_passwdqc.src: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
pam_passwdqc.src: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_passwdqc.src: W: spelling-error %description -l en_US passwdqc -> password, passageway, passivised
pam_passwdqc.src: W: spelling-error %description -l en_US passwd -> passed
pam_passwdqc.src: W: spelling-error %description -l en_US passphrases -> pass phrases, pass-phrases, paraphrases
pam_passwdqc.i686: W: spelling-error Summary(en_US) Pluggable -> Plug gable, Plug-gable, Plugged
pam_passwdqc.i686: W: spelling-error %description -l en_US pam -> map, Pam, pan
pam_passwdqc.i686: W: spelling-error %description -l en_US passwdqc -> password, passageway, passivised
pam_passwdqc.i686: W: spelling-error %description -l en_US passwd -> passed
pam_passwdqc.i686: W: spelling-error %description -l en_US passphrases -> pass phrases, pass-phrases, paraphrases
==> This can be ignored.

2)timestamps should be preserved.Use INSTALL="install -p" when installing to
preserve timestamps.

3) I will suggest this pacakge to follow current packaging guidelines and
remove buildroot, %clean section and cleaning of build root in %install    

4) Should follow https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

Comment 2 Parag AN(पराग) 2010-07-24 13:42:15 UTC
Created attachment 434142 [details]
pam_passwdqc-spec-cleanup.patch

please add changelog entry when applying above patch in devel branch

Comment 3 Parag AN(पराग) 2010-07-24 14:26:21 UTC
Also,
 As per https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags , please add comment in spec why you need extras flags.

Comment 4 Parag AN(पराग) 2010-08-02 15:07:51 UTC
ping

Comment 5 Avesh Agarwal 2010-08-02 15:12:46 UTC
I am looking into these. will get back to you soon.

Comment 6 Avesh Agarwal 2010-08-03 16:32:32 UTC
I verified the patch as per fedora guidelines, and it seems fine. I have also added the explanation for the extra C flags, and changelog entry too. Right now I can not commit to F14 (seems frozen), otherwise will make a new build soon based on the patch. Thanks for the patch.

Comment 8 Parag AN(पराग) 2010-08-09 05:07:03 UTC
Looks good now.
After you build this updated srpm in rawhide, I will approve this review.

Comment 9 Parag AN(पराग) 2010-09-06 08:17:47 UTC
Thanks! I see you have updated srpm in rawhide.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.